      INTEGER*4 FUNCTION str_1st_blank(s)

      CHARACTER*(*) s
      INTEGER*2 l, i

      l = LEN(s)
      i = 1

  100 CONTINUE
        IF (s(i:i) .EQ. ' ') GOTO 200
        i=i+1
        IF(i .NE. l) GOTO 100

  200 CONTINUE
      str_1st_blank=i
      RETURN
      END
